#
# spec file for package perl-Test-WWW-Selenium
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-Test-WWW-Selenium
Version:        1.36
Release:        3.29
%define cpan_name Test-WWW-Selenium
Summary:        Test applications using Selenium Remote Control
License:        Artistic-1.0 or GPL-1.0+
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/Test-WWW-Selenium/
Source:         http://www.cpan.org/authors/id/M/MA/MATTP/%{cpan_name}-%{version}.tar.gz
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(HTTP::Headers)
BuildRequires:  perl(HTTP::Request)
BuildRequires:  perl(LWP::UserAgent)
BuildRequires:  perl(Test::Exception)
BuildRequires:  perl(Test::Mock::LWP)
BuildRequires:  perl(URI::Escape)
BuildRequires:  perl(namespace::clean)
Requires:       perl(HTTP::Headers)
Requires:       perl(HTTP::Request)
Requires:       perl(LWP::UserAgent)
Requires:       perl(URI::Escape)
Requires:       perl(namespace::clean)
%{perl_requires}

%description
This module is a the WWW::Selenium manpage subclass providing some methods
useful for writing tests. For each Selenium command (open, click, type,
...) there is a corresponding '<command>_ok' method that checks the return
value (open_ok, click_ok, type_ok).

For each Selenium getter (get_title, ...) there are four autogenerated
methods ('<getter>_is', '<getter>_isnt', '<getter>_like',
'<getter>_unlike') to check the value of the attribute.

By calling the constructor with 'default_names' set to a true value your
tests will be given a reasonable name should you choose not to provide one
of your own. The test name should always be the third argument.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc BUILDING_FROM_SELENIUM.txt build.xml Changes pom.xml README release.txt todo.txt util weaver.ini

%changelog
* Mon Mar 10 2014 coolo@suse.com
- initial package 1.36
  * created by cpanspec 1.78.07
